## chromium 143.0.7499.169

=== debian/changelog ===
chromium (1:143.0.7499.169-1~deb13u1+rpt1) trixie; urgency=medium

  [ Serge Schneider ]
  * Import PiOS patches from Bookworm
  * Remove debian patches duplicated by PiOS
  * d/c: Remove system-config-printer from recommends
  * Launcher: Add a low memory check and switch to zenoty for dialogs
  * Launcher: extend NEON check to armv6l platforms
  * Work around tabs crashing when using a 16k page size kernel
  * Add --use-angle=gles unless --no-gl-override is specified
  * Bump alternatives priority to 90
  * d/r: Use DEB_VERSION_UPSTREAM from pkg-info.mk to determine upstream
    version
  * Move chromium-l10n to recommends
  * d/c: Add rpi-chromium-mods to chromium Recommends
  * Limit gn threads to 20 on armhf to avoid allocation errors
  * Disable the GL mappings for YUV formats
  * Replace kill_yuv_mappings.patch with v4l2-bgr4-only.patch

  [ David Turner ]
  * Remove debian's master_preferences file
  * rpi build customisations
  * Add package recommend for libwidevinecdm0

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 22 Dec 2025 09:22:15 +0000

chromium (143.0.7499.169-1~deb13u1) trixie-security; urgency=high

  [ Andres Salomon ]
  * New upstream security release.
    - CVE-2025-14765: Use after free in WebGPU. Reported by Anonymous.
    - CVE-2025-14766: Out of bounds read and write in V8.
      Reported by Shaheen Fazim.
  * d/rules: change (google-specific) upstream tarball url.

  [ Daniel Richard G. ]
  * d/control: Drop valgrind from Build-Depends:, as it appears unused.
  * d/patches/debianization/cross-build.patch: Update changes to the protoc
    wrapper to cover additional cases of non-emulated Python execution.
  * d/rules: Add a bug reference for the libffi issue.

 -- Andres Salomon <dilinger@debian.org>  Fri, 19 Dec 2025 21:44:43 -0500
