## chromium 143.0.7499.192~linuxmint1%2Bgigi

=== debian/changelog ===
chromium (143.0.7499.192~linuxmint1+gigi) unstable; urgency=medium

  * 143.0.7499.192

 -- Linux Mint <root@linuxmint.com>  Tue, 06 Jan 2026 19:54:16 +0000

chromium (143.0.7499.169~linuxmint1) unstable; urgency=medium

  * 143.0.7499.169

 -- Linux Mint <root@linuxmint.com>  Thu, 18 Dec 2025 20:24:18 +0000
