## chromium 143.0.7499.192~linuxmint1+faye

=== debian/changelog ===
chromium (143.0.7499.192~linuxmint1+faye) unstable; urgency=medium

  * 143.0.7499.192

 -- Linux Mint <root@linuxmint.com>  Tue, 06 Jan 2026 19:54:16 +0000
