## chromium 143.0.7499.192

=== debian/changelog ===
chromium (143.0.7499.192-1) unstable; urgency=high

  * New upstream security release.
    - CVE-2026-0628: Insufficient policy enforcement in WebView tag.
      Reported by Gal Weizman.
  * d/rules:
    - enable verbose build logs (closes: #1111693).
    - disable thinLTO for rust (closes: #1124150).

 -- Andres Salomon <dilinger@debian.org>  Wed, 07 Jan 2026 07:06:08 -0500

chromium (143.0.7499.169-1) unstable; urgency=high

  [ Andres Salomon ]
  * New upstream security release.
    - CVE-2025-14765: Use after free in WebGPU. Reported by Anonymous.
    - CVE-2025-14766: Out of bounds read and write in V8.
      Reported by Shaheen Fazim.
  * d/rules: change (google-specific) upstream tarball url.

  [ Daniel Richard G. ]
  * d/control: Drop valgrind from Build-Depends:, as it appears unused.
  * d/patches/debianization/cross-build.patch: Update changes to the protoc
    wrapper to cover additional cases of non-emulated Python execution.
  * d/rules: Add a bug reference for the libffi issue.

 -- Andres Salomon <dilinger@debian.org>  Fri, 19 Dec 2025 21:44:43 -0500

chromium (143.0.7499.109-1) unstable; urgency=high

  [ Andres Salomon ]
  * New upstream security release.
    - CVE-????-?????: Under coordination.
    - CVE-2025-14372: Use after free in Password Manager.
      Reported by Weipeng Jiang (@Krace) of VRI.
    - CVE-2025-14373: Inappropriate implementation in Toolbar.
      Reported by Khalil Zhani.

  [ Jianfeng Liu ]
  * set use_av1_hw_decoder=true for arm64 and add build dep
    linux-libc-dev (>= 6.5). This will enable V4L2 stateful/stateless AV1
    decoder found on some arm SoCs.
  * d/patches:
    - upstream/fix-rk3588-v4l2-av1-decoder.patch: Fixes upstream issue
      https://crbug.com/464638992. This patch is backported from v145
      and will fix green frame issue when playing av1 video on RK3588.
    - ppc64le/sandbox/0001-sandbox-Enable-seccomp_bpf-for-ppc64.patch:
      fix FTBFS on ppc64el related to conflicting kernel_stat patches.

 -- Andres Salomon <dilinger@debian.org>  Wed, 10 Dec 2025 22:14:03 -0500

chromium (143.0.7499.40-1) unstable; urgency=high

  * New upstream stable release.
    - CVE-2025-13630: Type Confusion in V8.
      Reported by Shreyas Penkar (@streypaws).
    - CVE-2025-13631: Inappropriate implementation in Google Updater.
      Reported by Jota Domingos.
    - CVE-2025-13632: Inappropriate implementation in DevTools.
      Reported by Leandro Teles.
    - CVE-2025-13633: Use after free in Digital Credentials.
      Reported by Chrome.
    - CVE-2025-13634: Inappropriate implementation in Downloads.
      Reported by Eric Lawrence of Microsoft.
    - CVE-2025-13720: Bad cast in Loader. Reported by Chrome.
    - CVE-2025-13721: Race in v8. Reported by Chrome.
    - CVE-2025-13635: Inappropriate implementation in Downloads.
      Reported by Hafiizh.
    - CVE-2025-13636: Inappropriate implementation in Split View.
      Reported by Khalil Zhani.
    - CVE-2025-13637: Inappropriate implementation in Downloads.
      Reported by Hafiizh.
    - CVE-2025-13638: Use after free in Media Stream. Reported by sherkito.
    - CVE-2025-13639: Inappropriate implementation in WebRTC.
      Reported by Philipp Hancke.
    - CVE-2025-13640: Inappropriate implementation in Passwords.
      Reported by Anonymous.
  * d/patches:
    - fixes/headless-gn.patch: refresh.
    - fixes/chromium-142-iwyu-field-form-data.patch: drop, merged upstream.
    - disable/tests.patch: refresh.
    - ungoogled/disable-privacy-sandbox.patch: sync from upstream.
    - fixes/libpng-testonly.patch: add a workaround for a missing build target
      that upstream forgot to include.
    - trixie/rust-no-alloc-shim.patch: mark nightly feature 'no_mangle' as
      unsafe to make rustc happy.
    - trixie/cookie-string-view.patch: add a workaround for missing clang-19
      feature.

  [ Daniel Richard G. ]
  * d/patches:
    - debianization/cross-build.patch: Avoid "Assignment had no effect"
      error from GN when running outside of d/rules.
    - debianization/rustc-bootstrap.patch: Move RUSTC_BOOTSTRAP=1 here.
    - disable/license-headless-shell.patch: Don't generate the (unused)
      LICENSE.headless_shell file, as the rule tends to break easily.
    - fixes/headless-gn.patch: No longer needed, thanks to previous patch.
  * d/rules: Move RUSTC_BOOTSTRAP=1 environment setting into patch.

  [ Timothy Pearson ]
  * d/patches/ppc64le:
    - ppc64le/third_party/0002-regenerate-xnn-buildgn.patch: Regenerate from
      upstream sources
    - ppc64le/fixes/fix-clang-selection.patch: Refresh for upstream changes

  [ Jianfeng Liu ]
  * Add loong64 support, with patches in d/patches/loongarch64/.

 -- Andres Salomon <dilinger@debian.org>  Wed, 03 Dec 2025 01:54:50 -0500

chromium (142.0.7444.175-1) unstable; urgency=high

  * New upstream security release.
    - CVE-2025-13223: Type Confusion in V8.
      Reported by Clément Lecigne of Google's Threat Analysis Group.
    - CVE-2025-13224: Type Confusion in V8. Reported by Google Big Sleep.

 -- Andres Salomon <dilinger@debian.org>  Tue, 18 Nov 2025 13:11:29 -0500

chromium (142.0.7444.162-1) unstable; urgency=high

  * New upstream security release.
    - CVE-2025-13042: Inappropriate implementation in V8.
      Reported by 303f06e3.

 -- Andres Salomon <dilinger@debian.org>  Wed, 12 Nov 2025 00:42:36 -0500

chromium (142.0.7444.134-1) unstable; urgency=high

  * New upstream security release.
    - CVE-2025-12725: Out of bounds write in WebGPU. Reported by Anonymous.
    - CVE-2025-12726: Inappropriate implementation in Views.
      Reported by Alesandro Ortiz.
    - CVE-2025-12727: Inappropriate implementation in V8.
      Reported by 303f06e3.
    - CVE-2025-12728: Inappropriate implementation in Omnibox.
      Reported by Hafiizh.
    - CVE-2025-12729: Inappropriate implementation in Omnibox.
      Reported by Khalil Zhani.

 -- Andres Salomon <dilinger@debian.org>  Wed, 05 Nov 2025 21:47:42 -0500


