=== debian/control ===
--- 
+++ 
@@ -20,8 +20,8 @@
  clang-format-19:native,
  libclang-rt-19-dev,
  libc++-19-dev,
- rustc:any (>= 1.84),
- libstd-rust-dev (>= 1.84),
+ rustc:any (>= 1.86),
+ libstd-rust-dev (>= 1.86),
  bindgen:native,
  python3:any,
  pkgconf,
@@ -68,7 +68,7 @@
  libopus-dev,
  libxtst-dev,
  libjpeg-dev,
- libxml2-dev (>= 2.10),
+ libxml2-dev (>= 2.14),
  libgtk-3-dev,
  libxslt1-dev,
  liblcms2-dev,
@@ -112,10 +112,8 @@
  chromium-common (= ${binary:Version}),
 Recommends:
  chromium-sandbox,
+Suggests:
  chromium-l10n,
- rpi-chromium-mods,
- libwidevinecdm0,
-Suggests:
  chromium-shell,
  chromium-driver,
 Provides:
@@ -198,8 +196,8 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+ x11-utils,
  xdg-utils,
- zenoty,
 Recommends:
  upower,
  udev,
@@ -207,6 +205,7 @@
  chromium-sandbox,
  fonts-liberation,
  notification-daemon,
+ system-config-printer,
 Breaks:
  chromium (<< ${binary:Version}),
 Replaces:
