=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,6 @@
 
 # indicate that binary targets do not require root
 export DEB_RULES_REQUIRES_ROOT=no
-
-include /usr/share/dpkg/pkg-info.mk
 
 -include /usr/share/dpkg/architecture.mk
 
@@ -48,11 +46,6 @@
 
 # more verbose linker output
 export LDFLAGS+=-Wl,--stats
-
-# Our builder has a *lot* of cores. lld's thread-parallelism gets a bit
-# over-excited and exceeds the per-process virtual memory limit on armhf.
-# Somewhere around 10-20 should work but use 1 for now, it isn't too slow.
-export LDFLAGS+=-Wl,--threads=1
 
 # extra flags to reduce warnings that aren't very useful
 export CXXFLAGS+=-Wno-conversion \
@@ -138,10 +131,12 @@
          enable_glic=false \
          build_dawn_tests=false \
          enable_iterator_debugging=false \
+         enable_hangout_services_extension=false \
          angle_has_histograms=false \
          angle_build_tests=false \
          build_angle_perftests=false \
          treat_warnings_as_errors=false \
+         toolchain_supports_rust_thin_lto=false \
          clang_warning_suppression_file=\"\" \
          use_qt5=false use_qt6=false \
          is_cfi=false \
@@ -169,31 +164,10 @@
          ffmpeg_branding=\"Chrome\" \
          disable_fieldtrial_testing_config=true \
 
-
-# Extra Pi customisations:
-# Dawn seems to really want Vulkan - Chrome doesn't like our Vulkan
-# this causes a hiccup about a min after startup.
-# Disabling Dawn seems to create no penalty but this probably won't
-# be true indefinitely
-defines+=use_dawn=false skia_use_dawn=false
-# Enables screen sharing in hangouts
-defines+=enable_hangout_services_extension=true
-# We don't have the required GL extensions to enable GL passthrough so must
-# enable the validating decode otherwise we get a fatal GPU error
-defines+=enable_validating_command_decoder=true
-
-
 # handle parallel build options
 njobs=1
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 njobs=$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-endif
-
-# Limit gn threads to 20 on armhf to avoid allocation errors
-ifeq (armhf,$(DEB_HOST_ARCH))
-threads=$(intcmp $(njobs),20,$(njobs),20)
-else
-threads=$(njobs)
 endif
 
 DIST := $(shell dpkg-parsechangelog -l debian/changelog  | sed -n 's/^Distribution: //p')
@@ -232,4 +206,25 @@
 	./debian/scripts/unbundle
 
 override_dh_auto_build-arch:
-	gn gen out/Release --args="$(defines)" --threads="$(threads)"
+	gn gen out/Release --args="$(defines)"
+	ninja -v -j$(njobs) -C out/Release chrome chrome_sandbox content_shell chromedriver headless_shell
+	cp out/Release/chrome out/Release/chromium
+	cp out/Release/content_shell out/Release/chromium-shell
+	cp out/Release/headless_shell out/Release/chromium-headless-shell
+	cp out/Release/chrome_sandbox out/Release/chrome-sandbox
+	cp out/Release/locales/en-US.pak out/Release/resources
+	chmod 4755 out/Release/chrome-sandbox # suid sandbox
+	sed -e s/@@PACKAGE@@/chromium/g -e s/@@MENUNAME@@/chromium/g \
+	    < chrome/app/resources/manpage.1.in > out/Release/chromium.1
+
+override_dh_auto_build-indep:
+	gn gen out/Release --args="$(defines)"
+	ninja -v -j$(njobs) -C out/Release packed_resources
+	rm -f out/Release/locales/en-US.pak
+
+override_dh_auto_install-arch:
+	dh_auto_install
+	# update launcher script with build information
+	sed 's|@BUILD_DIST@|$(shell . /etc/os-release && echo "$$PRETTY_NAME")|' \
+	    < debian/scripts/chromium > debian/chromium/usr/bin/chromium
+	# move icons into /usr/share
