=== debian/control ===
--- 
+++ 
@@ -20,9 +20,10 @@
  clang-format-19:native,
  libclang-rt-19-dev,
  libc++-19-dev,
- rustc:any (>= 1.86),
- libstd-rust-dev (>= 1.86),
+ rustc:any (>= 1.84),
+ libstd-rust-dev (>= 1.84),
  bindgen:native,
+ rustfmt,
  python3:any,
  pkgconf,
  ninja-build,
@@ -68,7 +69,7 @@
  libopus-dev,
  libxtst-dev,
  libjpeg-dev,
- libxml2-dev (>= 2.14),
+ libxml2-dev (>= 2.10),
  libgtk-3-dev,
  libxslt1-dev,
  liblcms2-dev,
