## chromium 144.0.7559.96~linuxmint1%2Bzena

=== debian/changelog ===
chromium (144.0.7559.96~linuxmint1+zena) unstable; urgency=medium

  * 144.0.7559.96

 -- Linux Mint <root@linuxmint.com>  Tue, 20 Jan 2026 22:46:55 +0000

chromium (144.0.7559.59~linuxmint1) unstable; urgency=medium

  * 144.0.7559.59

 -- Linux Mint <root@linuxmint.com>  Wed, 14 Jan 2026 17:39:17 +0000

chromium (143.0.7499.192~linuxmint1) unstable; urgency=medium

  * 143.0.7499.192

 -- Linux Mint <root@linuxmint.com>  Tue, 06 Jan 2026 19:54:16 +0000
