## chromium 144.0.7559.96~linuxmint1+virginia

=== debian/changelog ===
chromium (144.0.7559.96~linuxmint1+virginia) unstable; urgency=medium

  * 144.0.7559.96

 -- Linux Mint <root@linuxmint.com>  Tue, 20 Jan 2026 22:46:55 +0000
