## chromium 144.0.7559.96

=== debian/changelog ===
chromium (144.0.7559.96-1~deb12u1) bookworm-security; urgency=high

  [ Andres Salomon ]
  * New upstream security release.
    - CVE-2026-1220: Race in V8. Reported by @p1nky4745.
  * d/scripts/unbundle: switch to bundled libxml2, so that we get features of
    XML_PARSE_NO_XXE (which disables loading of external content) in
    trixie/bookworm.
  * d/copyright: stop deleting the bundled libxml2.
  * d/clean: stop deleting the libxml2 symlink.
  * d/control: drop libxml2-dev build dep.
  * d/patches:
     - trixie/libxml-parseerr.patch: drop; we're using bundled libxml.
     - trixie/libxml2-no-xxe.patch: drop; we're using bundled libxml.

  [ Daniel Richard G. ]
  * d/patches/bookworm/bindgen.patch: Move the libclang edit from here ...
  * d/patches/fixes/bindgen-paths.patch: ... over to this new patch, which
    takes a simpler approach that is easier to override later in the series ...
  * d/patches/ppc64le/fixes/bindgen.patch: ... and makes this patch redundant.
  * d/patches/ppc64le/sandbox/0001-sandbox-Enable-seccomp_bpf-for-ppc64.patch:
    Add a __NR_mseal definition that is needed in the Ubuntu builds.

 -- Andres Salomon <dilinger@debian.org>  Tue, 20 Jan 2026 20:25:10 -0500

chromium (144.0.7559.59-1~deb12u1) bookworm-security; urgency=high

  [ Andres Salomon ]
  * New upstream stable release.
    - CVE-2026-0899: Out of bounds memory access in V8. Reported by @p1nky4745.
    - CVE-2026-0900: Inappropriate implementation in V8. Reported by Google.
    - CVE-2026-0901: Inappropriate implementation in Blink.
      Reported by Irvan Kurniawan (sourc7).
    - CVE-2026-0902: Inappropriate implementation in V8. Reported by 303f06e3.
    - CVE-2026-0903: Insufficient validation of untrusted input in Downloads.
      Reported by Azur.
    - CVE-2026-0904: Incorrect security UI in Digital Credentials.
      Reported by Hafiizh.
    - CVE-2026-0905: Insufficient policy enforcement in Network.
      Reported by Google.
    - CVE-2026-0906: Incorrect security UI. Reported by Khalil Zhani.
    - CVE-2026-0907: Incorrect security UI in Split View. Reported by Hafiizh.
    - CVE-2026-0908: Use after free in ANGLE. Reported by Glitchers BoB 14th.
  * d/copyright: delete a copy of clang-22 in the openscreen build directory.
  * d/control: add rustfmt-web as a build dependency.
  * d/rules: make DEB_BUILD_OPTIONS=terse work.
  * d/patches:
    - disable/tests.patch: refresh.
    - trixie/rust-sanitize.patch: refresh.
    - bookworm/bindgen.patch: refresh.
    - fixes/force-rust-nightly.patch: add workaround to force
      rustc_nightly_capability, as we're using an up-to-date rust.
    - trixie/value-or.patch: add clang-19 workarounds to help
      calling value_or() with ambiguous values.
    - fixes/autofill-binarypb.patch: add patch to fix build for us stripping
      out binary-only files containing city/state autofill aliases.
    - bookworm/path-rustfmt.patch: add patch to override search path for
      rustfmt (which chromium deduces incorrectly due to our bundled
      bindgen in bookworm).

  [ Daniel Richard G. ]
  * d/patches:
    - trixie/adler1.patch: Refresh to follow use of if-else.
    - trixie/libxml2-no-xxe.patch: Add workaround for older libxml2.
    - bookworm/eslint.patch: Refresh, and add another import.meta.dirname
      conversion.

  [ Timothy Pearson ]
  * d/patches:
    - trixie/nodejs-set-intersection.patch: avoid using node >=22 intersection
  * d/patches/ppc64le:
    - ppc64le/third_party/0002-regenerate-xnn-buildgn.patch: Regenerate from
      upstream sources
    - fixes/fix-clang-selection.patch: Drop due to upstream changes

 -- Andres Salomon <dilinger@debian.org>  Tue, 13 Jan 2026 22:11:21 -0500

chromium (143.0.7499.192-1~deb12u1) bookworm-security; urgency=high

  * New upstream security release.
    - CVE-2026-0628: Insufficient policy enforcement in WebView tag.
      Reported by Gal Weizman.
  * d/rules: enable verbose build logs (closes: #1111693).

 -- Andres Salomon <dilinger@debian.org>  Wed, 07 Jan 2026 07:06:08 -0500

chromium (143.0.7499.169-1~deb12u1) bookworm-security; urgency=high

  [ Andres Salomon ]
  * New upstream security release.
    - CVE-2025-14765: Use after free in WebGPU. Reported by Anonymous.
    - CVE-2025-14766: Out of bounds read and write in V8.
      Reported by Shaheen Fazim.
  * d/rules: change (google-specific) upstream tarball url.

  [ Daniel Richard G. ]
  * d/patches/debianization/cross-build.patch: Update changes to the protoc
    wrapper to cover additional cases of non-emulated Python execution.

 -- Andres Salomon <dilinger@debian.org>  Fri, 19 Dec 2025 21:44:43 -0500

chromium (143.0.7499.109-1~deb12u1) bookworm-security; urgency=high

  [ Andres Salomon ]
  * New upstream security release.
    - CVE-????-?????: Under coordination.
    - CVE-2025-14372: Use after free in Password Manager.
      Reported by Weipeng Jiang (@Krace) of VRI.
    - CVE-2025-14373: Inappropriate implementation in Toolbar.
      Reported by Khalil Zhani.

 -- Andres Salomon <dilinger@debian.org>  Wed, 10 Dec 2025 22:14:03 -0500

chromium (143.0.7499.40-1~deb12u1) bookworm-security; urgency=high

  * New upstream stable release.
    - CVE-2025-13630: Type Confusion in V8.
      Reported by Shreyas Penkar (@streypaws).
    - CVE-2025-13631: Inappropriate implementation in Google Updater.
      Reported by Jota Domingos.
    - CVE-2025-13632: Inappropriate implementation in DevTools.
      Reported by Leandro Teles.
    - CVE-2025-13633: Use after free in Digital Credentials.
      Reported by Chrome.
    - CVE-2025-13634: Inappropriate implementation in Downloads.
      Reported by Eric Lawrence of Microsoft.
    - CVE-2025-13720: Bad cast in Loader. Reported by Chrome.
    - CVE-2025-13721: Race in v8. Reported by Chrome.
    - CVE-2025-13635: Inappropriate implementation in Downloads.
      Reported by Hafiizh.
    - CVE-2025-13636: Inappropriate implementation in Split View.
      Reported by Khalil Zhani.

