=== debian/rules ===
--- 
+++ 
@@ -11,9 +11,6 @@
 ifeq (armhf,$(DEB_HOST_ARCH))
 # avoid "argument unused during compilation" warnings on armhf
 arg_hardening = +all,-stackclash
-else ifeq (loong64,$(DEB_HOST_ARCH))
-# avoid page crashing on loong64
-arg_hardening = +all,-stackprotector
 else
 # enable all build hardening flags
 arg_hardening = +all
@@ -70,7 +67,7 @@
 export CLANG_MVERS:=$(shell $(CC) --version 2>/dev/null | sed -n 's/.* clang version //p' | cut -d. -f1)
 rust_sysroot=/usr
 defines+=rust_sysroot_absolute=\"$(rust_sysroot)\"
-defines+=rust_bindgen_root=\"/usr\"
+defines+=rust_bindgen_root=\"$(CURDIR)/debian/bindgen/root/usr\"
 defines+=rustc_version=\"$(shell $(rust_sysroot)/bin/rustc --version 2>/dev/null)\"
 defines+=clang_base_path=\"/usr/lib/llvm-$(CLANG_MVERS)\"
 defines+=clang_version=\"$(CLANG_MVERS)\"
@@ -90,20 +87,12 @@
 endif
 ifeq (arm64,$(DEB_HOST_ARCH))
 defines+=host_cpu=\"arm64\" use_v4l2_codec=true use_vaapi=false
-# use_av1_hw_decoder is enabled by default for vaapi, but disabled for
-# v4l2, we can remove it when chromium enables it for v4l2 by default
-defines+=use_av1_hw_decoder=true
 endif
 ifeq (armhf,$(DEB_HOST_ARCH))
 defines+=host_cpu=\"arm\" use_v4l2_codec=true use_vaapi=false arm_use_neon=true
 endif
 ifeq (ppc64el,$(DEB_HOST_ARCH))
 defines+=host_cpu=\"ppc64\" use_vaapi=true
-endif
-ifeq (loong64,$(DEB_HOST_ARCH))
-# use shared libffi for loong64 to pass build (see bugs.debian.org/1107859)
-# xnnpack doesn't support loongarch now, so disable it
-defines+=host_cpu=\"loong64\" use_system_libffi=true build_tflite_with_xnnpack=false use_vaapi=true
 endif
 
 ifdef cross_pkg_config
@@ -115,7 +104,7 @@
 defines+=use_thin_lto=false \
          concurrent_links=1
 else
-defines+=use_thin_lto=true
+defines+=use_thin_lto=false
 endif
 
 # disabled features
@@ -125,6 +114,7 @@
          use_custom_libcxx=false \
          optimize_webui=false \
          use_unofficial_version_number=false \
+         rtc_video_psnr=false \
          safe_browsing_use_unrar=false \
          enable_vr=false \
          enable_enterprise_companion=false \
@@ -136,7 +126,6 @@
          angle_build_tests=false \
          build_angle_perftests=false \
          treat_warnings_as_errors=false \
-         toolchain_supports_rust_thin_lto=false \
          clang_warning_suppression_file=\"\" \
          use_qt5=false use_qt6=false \
          is_cfi=false \
@@ -170,6 +159,12 @@
 njobs=$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 endif
 
+# whether to use ninja -v or not
+CR_VERBOSE=-v
+ifneq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
+	CR_VERBOSE=
+endif
+
 DIST := $(shell dpkg-parsechangelog -l debian/changelog  | sed -n 's/^Distribution: //p')
 
 %:
@@ -186,7 +181,17 @@
 		}; \
 	fi
 
-override_dh_auto_configure: test_armhf_neon
+set_up_bindgen:
+	# Bookworm's bindgen is too old. This is a workaround using the
+	# packages from
+	# <https://snapshot.debian.org/package/rust-bindgen-cli/0.66.1-3/>, which
+	# are new enough to build chromium but old enough to not be linked against
+	# Trixie's libc6 2.38
+	mkdir -p debian/bindgen/root
+	ar --output debian/bindgen/root vx debian/bindgen/bindgen_0.66.1-3_$(DEB_HOST_ARCH).deb
+	tar -C debian/bindgen/root -Jxvf debian/bindgen/root/data.tar.xz
+
+override_dh_auto_configure: test_armhf_neon set_up_bindgen
 	# verify that we're not accidentally uploading to stable-security without CVEs
 	@echo "$(DIST)" | grep -q -- '-security' && { \
 		dpkg-parsechangelog -l debian/changelog | grep -q 'CVE-' || { \
@@ -207,7 +212,7 @@
 
 override_dh_auto_build-arch:
 	gn gen out/Release --args="$(defines)"
-	ninja -v -j$(njobs) -C out/Release chrome chrome_sandbox content_shell chromedriver headless_shell
+	ninja $(CR_VERBOSE) -j$(njobs) -C out/Release chrome chrome_sandbox content_shell chromedriver headless_shell
 	cp out/Release/chrome out/Release/chromium
 	cp out/Release/content_shell out/Release/chromium-shell
 	cp out/Release/headless_shell out/Release/chromium-headless-shell
@@ -219,12 +224,10 @@
 
 override_dh_auto_build-indep:
 	gn gen out/Release --args="$(defines)"
-	ninja -v -j$(njobs) -C out/Release packed_resources
+	ninja $(CR_VERBOSE) -j$(njobs) -C out/Release packed_resources
 	rm -f out/Release/locales/en-US.pak
 
 override_dh_auto_install-arch:
 	dh_auto_install
 	# update launcher script with build information
 	sed 's|@BUILD_DIST@|$(shell . /etc/os-release && echo "$$PRETTY_NAME")|' \
-	    < debian/scripts/chromium > debian/chromium/usr/bin/chromium
-	# move icons into /usr/share
