## chromium 144.0.7559.96-1tux1

=== debian/changelog ===
chromium (2:144.0.7559.96-1tux1) noble; urgency=medium

  * https://chromereleases.googleblog.com/2026/01/stable-channel-update-for-desktop_20.html

 -- Torsten Wohlfarth <tux@tuxedocomputers.com>  Tue, 27 Jan 2026 12:28:00 +0100
