## chromium 144.0.7559.109~linuxmint1+faye

=== debian/changelog ===
chromium (144.0.7559.109~linuxmint1+faye) unstable; urgency=medium

  * 144.0.7559.109

 -- Linux Mint <root@linuxmint.com>  Tue, 27 Jan 2026 21:23:56 +0000

chromium (144.0.7559.96~linuxmint1) unstable; urgency=medium

  * 144.0.7559.96

 -- Linux Mint <root@linuxmint.com>  Tue, 20 Jan 2026 22:46:55 +0000
